<template>
  <div class="referral-program-box">
    <div class="box-left">
      <h3 class="title-component">{{ $t('bounty.referral.title') }}</h3>

      <div class="referral-qr">
        <qrcode :value="urlReferral" :options="{ size: 100 }"></qrcode>
      </div>

      <div class="referral-box">
        <div class="referral-box-item referral-id">
          <span class="label-text">{{ $t('bounty.referral.referral_id') }}</span>
          <div class="content" v-if="!!user">{{ user.referral_id }}</div>
          <button class="iconmo iconmo-copy button-copy"
                  v-clipboard:copy="user.referral_id"
                  @click="copy(referral, 'showCopyId')"
                  v-tooltip="{
                    content: 'Copied',
                    show: referral.showCopyId,
                    trigger: 'manual',
                    placement: 'bottom',
                  }"
            ></button>
        </div>
        <div class="referral-box-item">
          <span class="label-text">{{ $t('bounty.referral.link') }}</span>
          <div class="content referral">
            <p class="referral-input">{{ urlReferral }}</p>
            <button class="iconmo iconmo-copy button-copy"
                  v-clipboard:copy="urlReferral"
                  @click="copy(referral, 'showCopyLink')"
                  v-tooltip="{
                    content: 'Copied',
                    show: referral.showCopyLink,
                    trigger: 'manual',
                    placement: 'bottom',
                  }"
            ></button>
          </div>
        </div>
      </div>
    </div>
    <div class="referral-number" v-if="!!user">
      <div class="number-box">
        <div class="name">{{ $t('bounty.referral.registered') }}</div>
        <div class="number">{{ user.referrees }}</div>
      </div>
      <div class="number-box">
        <div class="name">{{ $t('bounty.referral.kyc') }}</div>
        <div class="number">{{ user.kycs }}</div>
      </div>
      <div class="number-box">
        <div class="name">{{ $t('bounty.referral.deopsited') }}</div>
        <div class="number">{{ user.deposit }}</div>
      </div>
    </div>
  </div>
</template>

<script>
import ReferralBoxMixin from '../../../../common/components/bounty/ReferralBoxMixin';

export default {
  mixins: [ReferralBoxMixin],
  data() {
    return {
      referral: [],
    }
  },
  methods: {
    copy(referral, field) {
      this.$set(referral, `${field}`, true);
      setTimeout(() => {
        this.$set(referral, `${field}`, false);
      }, 1000);
    }
  }
}
</script>

<style lang="scss" scoped>
  @import '../../../../../sass/variables';
  .referral-program-box {
    border-radius: 8px;
    margin-top: 25px;
    width: 100%;
    display: flex;

    .box-left {
      padding: 30px 43px;
      background-color: $bg_thin_gray;
      width: 57.2%;
      font-size: 0;
    }
  }

  .referral-qr {
    border: 1px solid #e0e0e0;
    padding: 10px;
    display: inline-block;
    font-size: 0;
    margin-right: 15px;
    vertical-align: top;
  }

  .referral-box {
    margin-top: 16px;
    display: inline-block;
    width: calc(100% - 152px);

    .referral-box-item {
      position: relative;
      font-size: 14px;
      line-height: 24px;
      color: rgb(0, 0, 0);
      font-weight: 300;
      margin-bottom: 8px;

      &.referral-id {
        .button-copy {
          position: static;
          transform: translateY(0);
        }
      }
      .label-text {
        vertical-align: top;
        width: 95px;
        text-align: left;
        display: inline-block;
      }
      .content {
        display: inline-block;
        position: relative;
        &.referral {
          width: 100%;
        }
      }
      .referral-input {
        display: inline-block;
        vertical-align: top;
        margin-bottom: 0;
        font-weight: bold;
        font-size: $small;
        text-decoration: underline;
        width: calc(100% - 20px);
        word-break: break-all;
      }
      .button-copy {
        margin-left: 12px;
        background: transparent;
        width: 14px;
        height: 14px;
        border: none;
        outline: none;
        cursor: pointer;
        position: absolute;
        font-size: 15px;
        top: 50%;
        transform: translateY(-50%);
        right: 0;
        &:before {
          color: #989898;
        }
      }
    }
  }

  .referral-number {
    display: flex;
    align-items: center;
    width: 43.8%;
    padding: 0 40px;
    background-color: $bg_white;
    .number-box {
      width: 33.33333333%;
      padding: 0 20px;
      .name,
      .number {
        max-width: 116px;
        font-size: $medium;
        font-weight: bold;
        color: $gray;
      }
      .number {
        margin-top: 18px;
      }
    }
  }

  @media screen and (max-width: 1023px) {
    .referral-program-box {
      display: block;
    }

    .box-left {
      display: block;
      width: 100% !important
    }

    .referral-number {
      width: 100%;
      padding: 40px 20%;
    }
  }
</style>
